# Ogre::DDDriver Class Reference

Encapsulates a DirectDraw driver. More...

`#include <OgreDDDriver.h>`

List of all members.

## Public Member Functions

| DDDriver ()
| DDDriver (const DDDriver &ob)
| DDDriver (GUID FAR *lpGuid, LPSTR lpDriverDescription, LPSTR lpDriverName)
| ~DDDriver ()
void | createWindowSurfaces (HWND hWnd, unsigned int width, unsigned int height, unsigned int colourDepth, bool fullScreen, LPDIRECTDRAWSURFACE7 *front, LPDIRECTDRAWSURFACE7 *back)
| Creates DirectDraw surfaces appropriate for a render window.
void | Cleanup (void)
void | CheckWindow (void)
DDDriver | operator= (const DDDriver &orig)
String | DriverName (void) const
String | DriverDescription (void) const
LPDIRECTDRAW7 | directDraw ()
D3DDeviceList * | get3DDeviceList (void)
DDVideoModeList * | getVideoModeList (void)
DDVideoMode * | getActiveVideoMode (void)
D3DDevice * | get3DDevice (void)
void | OutputText (int x, int y, char *text)
void | FlipBuffers (void)
bool | RunningFullScreen (void) const
RECT | ViewportRect (void) const
bool | Has3DAcceleration (void) const
bool | CanRenderWindowed (void) const
void | GetDisplayDetails (unsigned int &width, unsigned int &height, unsigned int &colourDepth)

## Private Member Functions

void | logCaps (void) const
void | RestoreSurfaces (void)

## Private Attributes

String | mDriverName
String | mDriverDesc
GUID | mGuid
bool | mPrimaryDisplay
LPDIRECTDRAW7 | lpDD7
LPDIRECT3D7 | lpD3D
D3DDeviceList * | mDeviceList
DDVideoModeList * | mVideoModeList
D3DDevice * | active3DDevice
DDVideoMode * | activeVideoMode
HWND | activeHWnd
DDCAPS | mSWCaps
DDCAPS | mHWCaps
LPDIRECTDRAWSURFACE7 | lpDDSPrimary
LPDIRECTDRAWSURFACE7 | lpDDSBack
bool | runningFullScreen
bool | using3DMode
RECT | rcViewport
LPDIRECTDRAWCLIPPER | lpDDClipper

## Detailed Description

Encapsulates a DirectDraw driver.

Utility class for D3DRenderSystem.

Definition at line 45 of file OgreDDDriver.h.

## Constructor & Destructor Documentation

Ogre::DDDriver::DDDriver | ( |  | ) |

Ogre::DDDriver::DDDriver | ( | const DDDriver & | ob | ) |

Ogre::DDDriver::DDDriver | ( | GUID FAR * | lpGuid,
|  | LPSTR | lpDriverDescription,
|  | LPSTR | lpDriverName
| ) |

Ogre::DDDriver::~DDDriver | ( |  | ) |

## Member Function Documentation

bool Ogre::DDDriver::CanRenderWindowed | ( | void |  | ) | const

void Ogre::DDDriver::CheckWindow | ( | void |  | ) |

void Ogre::DDDriver::Cleanup | ( | void |  | ) |

void Ogre::DDDriver::createWindowSurfaces | ( | HWND | hWnd,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | colourDepth,
|  | bool | fullScreen,
|  | LPDIRECTDRAWSURFACE7 * | front,
|  | LPDIRECTDRAWSURFACE7 * | back
| ) |

Creates DirectDraw surfaces appropriate for a render window.

Remarks:
  This method creates double-buffered surfaces for a window. Note that in this case the metrics supplied (width, height) must be of the CLIENT area of a window only if fullScreen = false; i.e. the metrics must be ignoring title bar, menu bar etc.

Parameters:

  hWnd | Window handle to the window for which the surfaces are created.
  width | The width of the surfaces required (see note above).
  height | The height of the surfaces required (see note above).
  colourDepth | The colour depth in bits per pixel. Only relevant if fullScreen = true.
  fullScreen | Specify true to make these surfaces full screen exclusive.
  front | Pointer to a pointer which will be filled with the interface to the front buffer on return.
  back | Pointer to a pointer which will be filled with the interface to the back buffer on return. Only relevant if fullScreen = false.

LPDIRECTDRAW7 Ogre::DDDriver::directDraw | ( |  | ) |

String Ogre::DDDriver::DriverDescription | ( | void |  | ) | const

String Ogre::DDDriver::DriverName | ( | void |  | ) | const

void Ogre::DDDriver::FlipBuffers | ( | void |  | ) |

D3DDevice* Ogre::DDDriver::get3DDevice | ( | void |  | ) |

D3DDeviceList* Ogre::DDDriver::get3DDeviceList | ( | void |  | ) |

DDVideoMode* Ogre::DDDriver::getActiveVideoMode | ( | void |  | ) |

void Ogre::DDDriver::GetDisplayDetails | ( | unsigned int & | width,
|  | unsigned int & | height,
|  | unsigned int & | colourDepth
| ) |

DDVideoModeList* Ogre::DDDriver::getVideoModeList | ( | void |  | ) |

bool Ogre::DDDriver::Has3DAcceleration | ( | void |  | ) | const

void Ogre::DDDriver::logCaps | ( | void |  | ) | const`[private]`

DDDriver Ogre::DDDriver::operator= | ( | const DDDriver & | orig | ) |

void Ogre::DDDriver::OutputText | ( | int | x,
|  | int | y,
|  | char * | text
| ) |

void Ogre::DDDriver::RestoreSurfaces | ( | void |  | ) | `[private]`

bool Ogre::DDDriver::RunningFullScreen | ( | void |  | ) | const

RECT Ogre::DDDriver::ViewportRect | ( | void |  | ) | const

## Member Data Documentation

D3DDevice* Ogre::DDDriver::active3DDevice `[private]`

| Definition at line 58 of file OgreDDDriver.h.

HWND Ogre::DDDriver::activeHWnd `[private]`

| Definition at line 60 of file OgreDDDriver.h.

DDVideoMode* Ogre::DDDriver::activeVideoMode `[private]`

| Definition at line 59 of file OgreDDDriver.h.

LPDIRECT3D7 Ogre::DDDriver::lpD3D `[private]`

| Definition at line 55 of file OgreDDDriver.h.

LPDIRECTDRAW7 Ogre::DDDriver::lpDD7 `[private]`

| Definition at line 54 of file OgreDDDriver.h.

LPDIRECTDRAWCLIPPER Ogre::DDDriver::lpDDClipper `[private]`

| Definition at line 73 of file OgreDDDriver.h.

LPDIRECTDRAWSURFACE7 Ogre::DDDriver::lpDDSBack `[private]`

| Definition at line 67 of file OgreDDDriver.h.

LPDIRECTDRAWSURFACE7 Ogre::DDDriver::lpDDSPrimary `[private]`

| Definition at line 66 of file OgreDDDriver.h.

D3DDeviceList* Ogre::DDDriver::mDeviceList `[private]`

| Definition at line 56 of file OgreDDDriver.h.

String Ogre::DDDriver::mDriverDesc `[private]`

| Definition at line 50 of file OgreDDDriver.h.

String Ogre::DDDriver::mDriverName `[private]`

| Definition at line 49 of file OgreDDDriver.h.

GUID Ogre::DDDriver::mGuid `[private]`

| Definition at line 51 of file OgreDDDriver.h.

DDCAPS Ogre::DDDriver::mHWCaps `[private]`

| Definition at line 63 of file OgreDDDriver.h.

bool Ogre::DDDriver::mPrimaryDisplay `[private]`

| Definition at line 52 of file OgreDDDriver.h.

DDCAPS Ogre::DDDriver::mSWCaps `[private]`

| Definition at line 62 of file OgreDDDriver.h.

DDVideoModeList* Ogre::DDDriver::mVideoModeList `[private]`

| Definition at line 57 of file OgreDDDriver.h.

RECT Ogre::DDDriver::rcViewport `[private]`

| Definition at line 72 of file OgreDDDriver.h.

bool Ogre::DDDriver::runningFullScreen `[private]`

| Definition at line 69 of file OgreDDDriver.h.

bool Ogre::DDDriver::using3DMode `[private]`

| Definition at line 70 of file OgreDDDriver.h.

The documentation for this class was generated from the following file:

- OgreDDDriver.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:08:25 2006